/*
 *   Copyright (C) 2006
 *   Siraj Razick <siraj@kdemail.net>
 *   see Also AUTHORS
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Library General Public License version 2 as
 *   published by the Free Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "raptordatasourcegroup.h"
#include <KDebug>

class RaptorDataSourceGroup::Private
{
    public:
        Private(){}
        ~Private(){}
        Data data;
};

RaptorDataSourceGroup::RaptorDataSourceGroup():d(new Private)
{
}

RaptorDataSourceGroup::~RaptorDataSourceGroup()
{
}

RaptorDataSourceGroup::Data
RaptorDataSourceGroup::lookup ( QString str )
{
    return RaptorDataSourceGroup::Data();
}

void
RaptorDataSourceGroup::addItem ( RaptorDataSource * item )
{
    d->data[item->name()] = item;
}

RaptorDataSource* 
RaptorDataSourceGroup::itemAt(int index)
{
    return 0;
}


RaptorDataSource *
RaptorDataSourceGroup::getItem ( QString name )
{
    return d->data[name];
}

QStringList
RaptorDataSourceGroup::getDataList()
{
    QStringList list(d->data.keys());
    return list;
}

int RaptorDataSourceGroup::count()
{
    return d->data.count();
}

