/*
 *   Copyright (C) 2006
 *   Siraj Razick <siraj@kdemail.net>
 *   PhobosK <phobosk@mail.kbfx.org>
 *   Lahiru Lakmal <llahiru@gmail.com>
 *   see Also AUTHORS
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Library General Public License version 2 as
 *   published by the Free Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef TOM_TASK_ACTION
#define TOM_TASK_ACTION

#include <QString>
#include <QList>

#include "tomitem.h"

class TomTaskAction
{
	//Q_OBJECT

	private:
		QString name;

	public:
                long ID; // unique for every object
		QList<TomItem> tomItems;

  		TomTaskAction();
  		~TomTaskAction();
		QString getName();
		void setName(QString name);
};

#endif
